unit gec10;

interface

uses
  {$IFNDEF LCL} Windows, Messages, {$ELSE} LclIntf, LMessages, LclType, LResources, {$ENDIF}
  SysUtils, Variants, Classes, db, SdfData, Graphics, Controls, Forms,
  Dialogs, GeckoBrowser, StdCtrls, Buttons, Spin, EditBtn, u_extractfile;

type

  { TForm1 }

  TForm1 = class(TForm)
    Address: TEdit;
    Datasource: TDatasource;
    ExtractAFile: TExtractFile;
    FDestination: TFileNameEdit;
    Get: TBitBtn;
    GeckoBrowser1: TGeckoBrowser;
    ListBox1: TListBox;
    lblProg: TLabel;
    lblProgMax: TLabel;
    Min: TSpinEdit;
    Max: TSpinEdit;
    Level: TSpinEdit;
    SdfDestination: TSdfDataSet;
    procedure AddressKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState
      );
    procedure GeckoBrowser1LocationChange(Sender: TObject; const uri: string);
    procedure GeckoBrowser1ProgressChange(Sender: TObject; Progress,
      ProgressMax: Integer);
    procedure GeckoBrowser1StatusChange(Sender: TObject;
      aMessage: WideString);
    procedure FormShow(Sender: TObject);
    procedure GetClick(Sender: TObject);
  private
    procedure AnalyseFile(const Afile: String);
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$IFNDEF LCL}
{$R *.dfm}
{$ENDIF}

procedure TForm1.FormShow(Sender: TObject);
begin
  GeckoBrowser1.LoadURI(Address.Text);
end;

procedure TForm1.AnalyseFile ( const Afile :String );
Begin
  if not FileExists(Afile)
   Then
    Exit;

  ExtractAFile.DirSource := Afile ;
  ExtractAFile.CopySourceToDestination;

end;

procedure TForm1.GetClick(Sender: TObject);
var stl_file : TStringList;
begin
  ListBox1.Clear;
  if FileExists ( FDestination.Text ) Then
    DeleteFile(FDestination.Text);
  stl_file := TStringList.Create;
  try
    stl_file.Add(ExtractAFile.FieldName);
    stl_file.SaveToFile(FDestination.Text);
  finally
    stl_file.Free;
  end;
  SdfDestination.FileName := FDestination.Text ;
end;

procedure TForm1.GeckoBrowser1StatusChange(Sender: TObject;
  aMessage: WideString);
begin
  ListBox1.Items.Add(aMessage);
  Application.ProcessMessages;
end;

procedure TForm1.GeckoBrowser1ProgressChange(Sender: TObject; Progress,
  ProgressMax: Integer);
begin
  lblProg.Caption := IntToStr(Progress);
  lblProgMax.Caption := IntToStr(ProgressMax);
  Application.ProcessMessages;
end;

procedure TForm1.GeckoBrowser1LocationChange(Sender: TObject;
  const uri: string);
begin
// showmessage(uri);
end;

procedure TForm1.AddressKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if Key = VK_RETURN Then
    GeckoBrowser1.LoadURI(Address.text);
end;

initialization
{$IFDEF LCL}
{$I gec10.lrs}  {Include form's resource file}
{$ENDIF}

end.
